<div class="content-heading">
  <div>Titulos</div>
</div>

<div class="row">

  <div class="col-md-12">

    <panel>

      <div class="row">

        <div class="col-md-2">
          <div class="form-group">
            <label class="textline">Período de Emissão:</label>

            <div class="input-group" style="flex-wrap: nowrap;">
              <p-calendar [locale]="pt"  placeholder="De" [(ngModel)]="entidadeConsulta.emissaoInicial" id="emissaoInicial"  name="emissaoInicial" styleClass="form-control-calendar" aria-describedby="btnGroupAddon"  inputStyleClass="form-control"   dateFormat="dd/mm/yy" ></p-calendar>
              <div class="input-group-append">
                <button class="btn btn-primary"  type="button">
                  <em class="icon-calendar"></em>
                </button>
              </div>
            </div>

          </div>
        </div>

        <div class="col-md-2">
          <div class="form-group">
            <label><span style="padding-left:20px"></span></label>

            <div class="input-group" style="flex-wrap: nowrap;">
              <p-calendar [locale]="pt"  placeholder="Até"  [(ngModel)]="entidadeConsulta.emissaoFinal" id="emissaoFinal"  name="emissaoFinal"  styleClass="form-control-calendar"   inputStyleClass="form-control"   dateFormat="dd/mm/yy" ></p-calendar>
              <div class="input-group-append">
                <button class="btn btn-primary"  type="button">
                  <em class="icon-calendar"></em>
                </button>
              </div>
            </div>
          </div>
        </div>

        <div class="col-md-2">
          <div class="form-group">
            <label label class="textline" >Período de Vencimento:</label>
            <div class="input-group" style="flex-wrap: nowrap;">
              <p-calendar [locale]="pt" placeholder="De"  [(ngModel)]="entidadeConsulta.vencimentoInicial" id="vencimentoInicial"  name="vencimentoInicial"  styleClass="form-control-calendar"   inputStyleClass="form-control"   dateFormat="dd/mm/yy" ></p-calendar>

              <div class="input-group-append">
                <button class="btn btn-primary"  type="button">
                  <em class="icon-calendar"></em>
                </button>
              </div>
            </div>
          </div>
        </div>

        <div class="col-md-2">
          <div class="form-group">
            <label><span style="padding-left:20px"></span></label>
            <div class="input-group" style="flex-wrap: nowrap;">
              <p-calendar [locale]="pt" placeholder="Até" [(ngModel)]="entidadeConsulta.vencimentoFinal" id="vencimentoFinal"  name="vencimentoInicial"  styleClass="form-control-calendar"   inputStyleClass="form-control"   dateFormat="dd/mm/yy" ></p-calendar>
              <div class="input-group-append">
                <button class="btn btn-primary"  type="button">
                  <em class="icon-calendar"></em>
                </button>
              </div>
            </div>
          </div>
        </div>


        <div class="col-md-2">
          <div class="form-group">
            <label label class="textline">Faixa de valor:</label>
            <input type="text"  currencyMask maxlength="255" [options]="{ prefix: '', thousands: '.', decimal: ',' }" [(ngModel)]="entidadeConsulta.valorInicial" id="valorInicial"   name="valorInicial" class="form-control"/>
          </div>
        </div>

        <div class="col-md-2">
          <div class="form-group">
            <label><span style="padding-left:20px"></span></label>
            <input type="text" currencyMask maxlength="255"  [options]="{ prefix: '', thousands: '.', decimal: ',' }" [(ngModel)]="entidadeConsulta.valorFinal" id="valorFinal"   name="valorFinal" class="form-control"/>
          </div>
        </div>

      </div>

      <div class="row">

        <div class="col-md-8">
          <div class="form-group">
            <div class="form-group">
              <label>Número da Nota Fiscal</label>
              <input type="text"  maxlength="255"  [(ngModel)]="entidadeConsulta.numeroNotaFiscalFiltro" id="numeroNotaFiscalFiltro"   name="numeroNotaFiscalFiltro"
                     class="form-control"/>
            </div>
          </div>
        </div>
        <div class="col-md-2">
          <div class="form-group">
            <label>Status</label>
            <p-dropdown [(ngModel)]="entidadeConsulta.statusTitulo"  styleClass="form-control" id="statusTitulo" name="statusTitulo"  [options]="statusTitulo" >
              <ng-template let-item pTemplate="selectedItem">
                <span style="vertical-align:middle">{{item.label}}</span>
              </ng-template>
            </p-dropdown>
          </div>
        </div>
        <div class="col-md-2">
          <div class="form-group" style="margin-top: 30px;" >
            <button class="btn btn-primary " (click)="listar()">Buscar</button>
            <button class="btn btn-secundary "  style="float: right"  (click)="clear()">Limpar</button>
          </div>
        </div>
      </div>

      <hr/>

      <div class="row">
        <div class="col-md-12">

          <p-table     [value]="resultado.content" emptyMessage="Nenhum registro encontrado."
                       [rows]="10" [lazy]="true" (onLazyLoad)="listar($event)" [paginator]="true"
                       [totalRecords]="resultado.totalElements" [responsive]="true">

            <ng-template pTemplate="header">
              <tr>
                <th class="text-center">Nr. Nota Fiscal</th>
                <th class="text-center">Emissão</th>
                <th class="text-center">Vencimentno</th>
                <th class="text-center">Valor Nominal</th>
                <th style="width: 7em"  class="text-center">Status</th>
                <th style="width: 3em" class="text-center"></th>
                <th class="text-center">Download</th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-obj>
              <tr>
                <td class="text-center">{{obj.numeroNotaFiscal}}</td>
                <td class="text-center" >{{obj.dataEmissao |date:'shortDate' }}</td>
                <td class="text-center">{{obj.dataVencimento |date:'shortDate' }}</td>
                <td class="text-center">{{obj.valorNominal  | currency:"BRL"   }}</td>
                <td class="text-center">{{obj.statusTitulo}}</td>

                <td>

                  <a  [pTooltip]="getTooltipTitulo(obj)"  class="text-center">
                    <em class="fa fa-info-circle"></em>
                  </a>

                </td>


                <td style="width: 8em" class="text-center">

                  <a pTooltip="XML"   (click)="downloadXLS(obj)" class="btn-tabela">
                    <span class="xml"></span>
                  </a>

                  <a pTooltip="PDF" (click)="downloadPDF(obj)"  class="btn-tabela">
                    <span class="pdf"></span>
                  </a>

                  <a pTooltip="Boleto" (click)="downloadBoleto(obj)"  class="btn-tabela">
                    <span class="boleto"></span>
                  </a>

                  <a pTooltip="Cod. Barras" (click)="downloadBarras(obj)" class="btn-tabela">
                    <span class="boleto"></span>
                  </a>
                </td>
              </tr>
            </ng-template>

            <ng-template pTemplate="emptymessage" >
              <tr>
                <td [attr.colspan]="7">
                  Nenhum registro encontrado.
                </td>
              </tr>
            </ng-template>

          </p-table>

        </div>
      </div>

    </panel>
  </div>
</div>
